Update Telephony Configuration
curl --request PUT \
--url https://app.asisso.com/api/v1/organizations/telephony-configs/{config_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"ari_endpoint": "<string>",
"app_name": "<string>",
"app_password": "<string>",
"provider": "ari",
"ws_client_name": "",
"from_numbers": [
"<string>"
]
}
}
'import requests
url = "https://app.asisso.com/api/v1/organizations/telephony-configs/{config_id}"
payload = {
"name": "<string>",
"config": {
"ari_endpoint": "<string>",
"app_name": "<string>",
"app_password": "<string>",
"provider": "ari",
"ws_client_name": "",
"from_numbers": ["<string>"]
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
ari_endpoint: '<string>',
app_name: '<string>',
app_password: '<string>',
provider: 'ari',
ws_client_name: '',
from_numbers: ['<string>']
}
})
};
fetch('https://app.asisso.com/api/v1/organizations/telephony-configs/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"provider": "<string>",
"is_default_outbound": true,
"credentials": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Telephony Configurations
Update Configuration
Rename a configuration or rotate its credentials
PUT
/
api
/
v1
/
organizations
/
telephony-configs
/
{config_id}
Update Telephony Configuration
The
provider cannot be changed once a configuration exists — create a new configuration if you need to switch providers.
When rotating credentials, you only need to send the fields you’re changing. Re-submitting a masked sensitive value preserves the original secret, so it’s safe to round-trip a GET response back to a PUT.Path Parameters
Body
application/json
Body for PUT /telephony-configs/{id}. Partial update.
Required string length:
1 - 64Request schema for Asterisk ARI configuration.
- ARIConfigurationRequest
- CloudonixConfigurationRequest
- PlivoConfigurationRequest
- TelnyxConfigurationRequest
- TwilioConfigurationRequest
- VobizConfigurationRequest
- VonageConfigurationRequest
Show child attributes
Show child attributes
⌘I